package org.acme.insurance;

import org.kie.api.KieServices;
import org.kie.api.runtime.KieContainer;
import org.kie.api.runtime.KieSession;

/**
 * This is a sample class to launch a rule.
 */
public class DroolsTest {

    public static final void main(String[] args) {
        try {
            // load up the knowledge base
	        KieServices ks = KieServices.Factory.get();
    	    KieContainer kContainer = ks.getKieClasspathContainer();
        	KieSession kSession = kContainer.newKieSession("ksession-rules");
        	
        	Driver d = new Driver();
    		Policy p1 = new Policy();
    		p1.setPolicyType("AUTO");
    		p1.setDriver(d);
    		p1.setPrice(10);
    		Policy p2 = new Policy();
    		p2.setPolicyType("AUTO");
    		p2.setDriver(d);
    		p2.setPrice(20);
    		Policy pM = new Policy();
    		pM.setPolicyType("MASTER");
    		pM.setDriver(d);
    		kSession.insert(d);
    		kSession.insert(p1);
    		kSession.insert(p2);
    		kSession.insert(pM);
    		kSession.fireAllRules();
    	
          	System.out.println("PM price = " + pM.getPrice());
        	
        } catch (Throwable t) {
            t.printStackTrace();
        }
    }
}
